Fetchply Docs
POST
/api/v1/hooks/subscribe

Subscribes a target URL to receive webhook notifications for the specified event.

Authorization

bearerAuth
AuthorizationBearer <token>

API key with fp_ prefix. Generate keys in your Fetchply dashboard under Settings > API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://fetchply.com/api/v1/hooks/subscribe" \  -H "Content-Type: application/json" \  -d '{    "targetUrl": "http://example.com",    "event": "new_lead"  }'
{
  "success": true,
  "data": {
    "id": "string",
    "targetUrl": "http://example.com",
    "event": "string"
  }
}
{
  "success": false,
  "error": "Invalid or missing API key"
}
{
  "success": false,
  "error": "Rate limit exceeded"
}